header {
  width: 100%;
  margin: 30px auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-bottom-left-radius: 16px;
  border-bottom-right-radius: 16px;
}

.header-logo {
  width: 120px;
  height: 50px;
}

.right-header {
  display: flex;
  align-items: center;
  gap: 20px;
  padding-right: 20px;
  width: 20%;
}

.mid-header {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60%;
}

.left-header {
  display: flex;
  align-items: center;
  justify-content: end;
  gap: 20px;
  padding-left: 20px;
  width: 20%;
}

.search-input {
  background-color: #f0f0f0;
  border-radius: 40px;
  padding: 0px 15px;
  height: 40px;
  width: 100%;
}

.search-input__menu {
  margin: 20px 0px;
  background-color: #f0f0f0;
  border-radius: 40px;
  padding: 0px 15px;
  height: 40px;
  width: 100%;
}

.search-input::placeholder {
  font-size: 14px;
  color: #9f9fba;
}

.search-input__menu::placeholder {
  font-size: 14px;
  color: #9f9fba;
}

.call-us__header {
  font-size: 14px;
  color: var(--text);
}

.call-number {
  color: var(--primary);
  font-size: 15px;
}

.login-btn {
  background-color: var(--primary);
  color: var(--white);
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 10px 15px;
  border-radius: 16px;
  transition: 0.3s ease;
}

.separator-login__btn {
  font-family: "YekanBakh-Extra-Bold";
  font-size: 12px;
  color: var(--white);
}

.login-btn:hover {
  background-color: var(--hover);
}

.cart-img,
.bars-img {
  color: var(--primary);
  font-size: 25px;
  border-radius: 100px;
  cursor: pointer;
  transition: 0.3s ease;
}

.bars-img {
  display: none !important;
}

.user-img {
  color: var(--primary);
  font-size: 25px;
  border-radius: 100px;
  cursor: pointer;
  transition: 0.3s ease;
}

.cart-img:hover {
  color: var(--hover);
}

.user-img:hover {
  color: var(--hover);
}

.top-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: 77px;
  background-color: var(--white);
  border-bottom-left-radius: 16px;
  border-bottom-right-radius: 16px;
  box-shadow: 0px 2px 12px 0px rgba(0, 0, 0, 0.06274509803921569);
}

.bottom-header {
  height: 60px;
  width: 90%;
  border-bottom-left-radius: 16px;
  border-bottom-right-radius: 16px;
  background-color: var(--primary);
  display: flex;
  justify-content: center;
  padding: 0px 20px;
}

.bottom-header__ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  align-items: center;
  gap: 40px;
}

.category-header {
  color: var(--white);
  cursor: pointer;
  font-size: 14px;
}

.categories {
  color: var(--white);
  font-size: 14px;
  cursor: pointer;
}
.home {
  color: var(--white);
  font-size: 14px;
  cursor: pointer;
}
.about-us {
  color: var(--white);
  font-size: 14px;
  cursor: pointer;
}
.call-us {
  color: var(--white);
  font-size: 14px;
  cursor: pointer;
}

/* Menu */

.menu-link {
  color: var(--second-text);
  font-size: 14px;
}

.menu-item {
  margin: 5px 0px;
  width: 100%;
  padding: 10px 8px;
  border-radius: 8px;
  background-color: #efefef;
}

.menu-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.4);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
  z-index: 998;
}

.menu-overlay.active {
  opacity: 1;
  visibility: visible;
}

.menu {
  z-index: 9999;
  position: fixed;
  right: -256px;
  top: 0;
  bottom: 0;
  background-color: var(--white);
  box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.05);
  width: 16rem;
  flex-direction: column;
  justify-content: start;
  transition: right 0.5s ease;
  list-style-type: none;
  padding: 10px 15px;
  margin: 0px;
  display: flex;
}

.menu.active {
  right: 0px;
}

.header-logo__menu {
  display: flex;
  align-items: center;
  justify-content: center;
}

.hidden {
  display: none;
}

.config-cart__hr {
  background-color: var(--border);

  border: none;
  height: 1px;
  width: 100%;
  margin: 1rem auto;
}

.header-logo__mid {
  display: none;
}
